import 'package:meta/meta.dart';

@immutable
abstract class MessageSettingsEvent {}

/// 初始化数据
class MessageSettingsInitEvent extends MessageSettingsEvent {
  final Map<String, dynamic> data;

  MessageSettingsInitEvent(this.data);
}

/// 更新数据
class MessageSettingsUpdateEvent extends MessageSettingsEvent {
  String key;
  bool value;

  MessageSettingsUpdateEvent({this.value, this.key});
}
